[![Build Status](https://semaphoreapp.com/api/v1/projects/3d4266af-fb45-45c5-bba9-0c5e825f3e84/316403/badge.png)](https://semaphoreapp.com/just3ws/express_pigeon)
[![Code Climate](https://codeclimate.com/github/just3ws/express_pigeon/badges/gpa.svg)](https://codeclimate.com/github/just3ws/express_pigeon)
[![Gem Version](https://badge.fury.io/rb/express_pigeon.svg)](http://badge.fury.io/rb/express_pigeon)
[![Inline docs](http://inch-ci.org/github/just3ws/express_pigeon.svg?branch=master&style=flat)](http://inch-ci.org/github/just3ws/express_pigeon)
[![Test Coverage](https://codeclimate.com/github/just3ws/express_pigeon/badges/coverage.svg)](https://codeclimate.com/github/just3ws/express_pigeon)

Another Ruby client for ExpressPigeon.

[![If you ignore the CONTRIBUTING.md then you're going to have a bad time.](https://d8izdk6bl4gbi.cloudfront.net/https://d1015h9unskp4y.cloudfront.net/attachments/ea8fd905-5069-4377-abbb-9013db3f4507/CONTRIBUTING.jpg)](https://github.com/just3ws/express_pigeon/blob/master/CONTRIBUTING.md)

# ExpressPigeon API Endpoints

## Implemented

### ExpressPigeon::Contacts

- `#create` **POST** `https://api.expresspigeon.com/contacts`
- `#delete` **DELETE** `https://api.expresspigeon.com/contacts`
- `#find` **GET** `https://api.expresspigeon.com/contacts`
- `#move` **POST** `https://api.expresspigeon.com/contacts/move`

### ExpressPigeon::Lists

- `#create` **POST** `https://api.expresspigeon.com/lists`
- `#delete` **DELETE** `https://api.expresspigeon.com/lists/{id}`
- `#download_csv` **GET** `https://api.expresspigeon.com/lists/{list_id}/csv`
- `#index` **GET** `https://api.expresspigeon.com/lists`
- `#update` **PUT** `https://api.expresspigeon.com/lists`
- `#upload_status` **GET** `https://api.expresspigeon.com/lists/upload_status/{id}`
- `#upload` **POST** `https://api.expresspigeon.com/lists/{id}/upload`

### ExpressPigeon::Messages

- `#send` **POST** `https://api.expresspigeon.com/messages`
- `#status` **GET** `https://api.expresspigeon.com/messages/{id}`
- `#statuses` **GET** `https://api.expresspigeon.com/messages`

### ExpressPigeon::Templates

- `#copy` **POST** `https://api.expresspigeon.com/templates/{template_id}/copy`

### ExpressPigeon::Campaigns

- `#create` **POST** `https://api.expresspigeon.com/campaigns`
- `#index` **GET** `https://api.expresspigeon.com/campaigns`
- `#report_bounced` **GET** `https://api.expresspigeon.com/campaigns/{campaign_id}/bounced`
- `#report_clicked` **GET** `https://api.expresspigeon.com/campaigns/{campaign_id}/clicked`
- `#report_opened` **GET** `https://api.expresspigeon.com/campaigns/{campaign_id}/opened`
- `#report_spam` **GET** `https://api.expresspigeon.com/campaigns/{campaign_id}/spam`
- `#report_unsubscribed` **GET** `https://api.expresspigeon.com/campaigns/{campaign_id}/unsubscribed`
- `#report` **GET** `https://api.expresspigeon.com/campaigns/{campaign_id}`

### ExpressPigeon::AutoResponders

- `#index` **GET** `https://api.expresspigeon.com/auto_responders`
- `#report_bounced` **GET** `https://api.expresspigeon.com/auto_responders/{auto_responder_id}/{auto_responder_part_id}/bounced`
- `#report_spam` **GET** `https://api.expresspigeon.com/auto_responders/{auto_responder_id}/{auto_responder_part_id}/unsubscribed`
- `#report_unsubscribed` **GET** `https://api.expresspigeon.com/auto_responders/{auto_responder_id}/{auto_responder_part_id}/spam`
- `#report` **GET** `https://api.expresspigeon.com/auto_responders/{auto_responder_id}`
- `#start` **POST** `https://api.expresspigeon.com/auto_responders/{auto_responder_id}/start`
- `#stop` **POST** `https://api.expresspigeon.com/auto_responders/{auto_responder_id}/stop`

