# -*- encoding: utf-8 -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'express_pigeon/version'

Gem::Specification.new do |spec|
  spec.name          = 'express_pigeon'
  spec.version       = ExpressPigeon::VERSION
  # Inspired by Igor Polevoy but a total re-write of the expresspigeon-ruby RubyGem
  spec.authors       = %w(Mike\ Hall)
  spec.email         = %w(mike@just3ws.com)
  spec.description   = <<-EOS
    (Another) ExpressPigeon Ruby API for sending transactional messages,
    manipulating lists, contacts and more.
  EOS
  spec.summary       = '(Another) ExpressPigeon API Ruby Wrapper'
  spec.homepage      = 'https://github.com/just3ws/express_pigeon'
  spec.license = 'MIT'
  spec.extra_rdoc_files = %w(LICENSE README.md)

  spec.cert_chain = %w(certs/just3ws.pem)
  spec.signing_key = File.expand_path('~/.ssh/gem-private_key.pem') if $0 =~ /gem\z/

  spec.files = `git ls-files -z`.split("\x0")
  spec.executables = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = %w(lib)

  spec.required_ruby_version = Gem::Requirement.new('>= 2.1.0')

  spec.add_dependency('httparty', '~> 0.13.3')
  spec.add_runtime_dependency('httmultiparty', '~> 0.3', '>= 0.3.16')

  spec.add_development_dependency('bundler', '~> 1.7')
  spec.add_development_dependency('rake', '~> 10.0')
  spec.add_development_dependency 'rspec', '~> 3.1', '>= 3.1.0'

  spec.add_development_dependency('awesome_print', '~> 1.2', '>= 1.2.0')
end
